<div vertilize-container infinite-scroll='reddit.nextPage(reddit.page, reddit.usedIdsPosts, reddit.useElasticBlock)' infinite-scroll-disabled='reddit.busy' infinite-scroll-distance='200' class="items" style="width: calc(100% + 24px);">
    <div ng-repeat='postObject in reddit.items'>
        <!-- 1/1 -->
        <div class="item big dark" ng-if="postObject.blocks == '1/1' && postObject.type_post == 1">
            <div class="bg"
                 style="background-position: 0 0; background-image: url(files/blogposts/{{postObject.id}}-1_1.jpg);">
            </div>
            <div class="v-align">
                <div class="align-holder">
                    <a href="/blog/{{postObject.tags.url}}" class="category-link white">
                        <span class="icon {{postObject.tags.url}} iconsmall-{{postObject.tags.url}}"></span>
                        {{postObject.tags.name}}
                    </a>

                    <a href="http://plus-one.kommersant.ru/case-1.html" ng-if="postObject.url == 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                        <strong class="h1" ng-bind-html="textDangerousSnippet(postObject.name)"></strong>
                        <p ng-bind-html="textDangerousSnippet(postObject.header)"></p>
                    </a>
                    <a href="/blog/{{postObject.tags.url}}/{{postObject.url}}" ng-if="postObject.url != 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                        <strong class="h1" ng-bind-html="textDangerousSnippet(postObject.name)"></strong>
                        <p class="d" ng-bind-html="textDangerousSnippet(postObject.header)"></p>
                    </a>
                </div>
            </div>
            <ul class="tags">
                <li>
                    <a class="date" href="#" onclick="return false">
                        {{postObject.postDateStr}}
                    </a>
                </li>

                <li ng-if="postObject.partner">
                    <a href="{{postObject.partner_url}}" target="_blank">
                        <div style="color: {{postObject.partner_color}}; font-size: 26px; top: 0px; left:0px; position: relative;">
                            &bull;
                            <span style="font-size: 11px; position: relative; top: -5px; left: 0; color: #000;">{{postObject.partner}}</span>
                        </div>
                    </a>
                </li>

                <li ng-repeat="posttag in postObject.postTags">
                    <a href="/tags/{{posttag.url}}">
                        {{posttag.name}}
                    </a>
                </li>
            </ul>
        </div>

        <!-- 1/1 цитата /-->
        <div class="item long dark" ng-if="postObject.blocks == '1/1' && postObject.type_post == 2" style="background-color: #{{postObject.block_color}}">
            <a href="/blog/{{postObject.tags.url}}" class="category-link white">
                <span class="icon {{postObject.tags.url}} iconsmall-{{postObject.tags.url}}"></span>
                {{postObject.tags.name}}
            </a>
            <div class="visual right absolute">
                <div class="bg"
                     style="background-position: 0 0; background-image: url(files/blogposts/{{postObject.id}}-1_1_c.jpg);">
                </div>
            </div>
            <div class="v-align">
                <div class="align-holder">
                    <p>
                        <a href="/blog/{{postObject.tags.url}}/{{postObject.url}}" ng-if="postObject.url != 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                            <span class="nametext" ng-bind-html="textDangerousSnippet(postObject.name)"></span>
                            <span class="text" ng-bind-html="textDangerousSnippet(postObject.header)"></span>
                        </a>
                        <a href="http://plus-one.kommersant.ru/case-1.html" ng-if="postObject.url == 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                            <span class="nametext" ng-bind-html="textDangerousSnippet(postObject.name)"></span>
                            <span class="text" ng-bind-html="textDangerousSnippet(postObject.header)"></span>
                        </a>
                    </p>
                </div>
            </div>
            <ul class="tags">
                <li>
                    <a class="date" href="#" onclick="return false">
                        {{postObject.postDateStr}}
                    </a>
                </li>

                <li ng-if="postObject.partner">
                    <a href="{{postObject.partner_url}}" target="_blank">
                        <div style="color: {{postObject.partner_color}}; font-size: 26px; top: 0px; left:0px; position: relative;">
                            &bull;
                            <span style="font-size: 11px; position: relative; top: -5px; left: 0; color: #000;">{{postObject.partner}}</span>
                        </div>
                    </a>
                </li>

                <li ng-repeat="posttag in postObject.postTags">
                    <a href="/tags/{{posttag.url}}">
                        {{posttag.name}}
                    </a>
                </li>
            </ul>
        </div>


        <div style="margin-top:50px; height: 392px;" class="item big_video dark video_block" ng-if="postObject.blocks == '1/1' && postObject.type_post == 6 && postObject.anounce_new_author == 0">
            <div class="left" style="width:698px; height:392px;">
                <span ng-bind-html="textDangerousSnippet(postObject.video_on_main)"></span>
            </div>
            <div class="right">
                <div class="anons" ng-if="postObject.state == '3'">
                    <p class="small">Анонс</p>
                    <h2 ng-bind-html="textDangerousSnippet(postObject.name)"></h2>
                    <span ng-bind-html="textDangerousSnippet(postObject.header)"></span>
                    <p class="time">{{postObject.postDateStr}}</p>
                </div>
                <div class="live" ng-if="postObject.state == '2'">
                    <p class="small">Live<span></span></p>
                    <h2 ng-bind-html="textDangerousSnippet(postObject.name)"></h2>
                    <span ng-bind-html="textDangerousSnippet(postObject.header)"></span>
                </div>

                <div class="live" ng-if="postObject.state == '1'">
                    <h2 ng-bind-html="textDangerousSnippet(postObject.name)"></h2>
                </div>
            </div>
        </div>

        <!-- 1/2 -->
        <div class="item half dark" style="height: 365px;" ng-if="postObject.blocks == '1/2' && postObject.block_color == '0'  && (postObject.type_post == 1 || postObject.type_post == 2 || postObject.type_post == 3)">
            <div class="bg"
                 style="background-position: 0 0; background-image: url(files/blogposts/{{postObject.id}}-1_2.jpg);">
            </div>
            <div class="info">
                <a href="/blog/{{postObject.tags.url}}" class="category-link white">
                    <span class="icon {{postObject.tags.url}} iconsmall-{{postObject.tags.url}}"></span>
                    {{postObject.tags.name}}
                </a>
                <a href="http://plus-one.kommersant.ru/case-1.html" ng-if="postObject.url == 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                    <strong class="h2" style="width:370px;" ng-bind-html="textDangerousSnippet(postObject.name)"></strong>

                    <p ng-bind-html="textDangerousSnippet(postObject.header)" style="width:450px;"></p>
                </a>
                <a href="/blog/{{postObject.tags.url}}/{{postObject.url}}" ng-if="postObject.url != 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                    <strong class="h2" style="width:370px;" ng-bind-html="textDangerousSnippet(postObject.name)"></strong>

                    <p class="d" ng-bind-html="textDangerousSnippet(postObject.header)" style="width:450px;"></p>
                </a>
            </div>
            <ul class="tags">
                <li>
                    <a class="date" href="#" onclick="return false">
                        {{postObject.postDateStr}}
                    </a>
                </li>

                <li ng-if="postObject.partner">
                    <a href="{{postObject.partner_url}}" target="_blank">
                        <div style="color: {{postObject.partner_color}}; font-size: 26px; top: 0px; left:0px; position: relative;">
                            &bull;
                            <span style="font-size: 11px; position: relative; top: -5px; left: 0; color: #000;">{{postObject.partner}}</span>
                        </div>
                    </a>
                </li>

                <li ng-repeat="posttag in postObject.postTags">
                    <a href="/tags/{{posttag.url}}">
                        {{posttag.name}}
                    </a>
                </li>
            </ul>
        </div>


        <!-- 1/2 цитата /-->
        <div class="item half blue" style="height: 365px; background-color: #{{postObject.block_color}}" ng-if="postObject.blocks == '1/2' && postObject.block_color != '0' && postObject.type_post == 2">
            <div class="visual right absolute">
                <div class="bg" style="background-image: url('files/blogposts/{{postObject.id}}-1_1_c.jpg');">
                    <img width="500" height="505" alt="image description" src="files/blogposts/{{postObject.id}}-1_1_c.jpg" style="display: none;">
                </div>
            </div>
            <div class="info">
                <a href="/blog/{{postObject.tags.url}}" class="category-link white">
                    <span class="icon {{postObject.tags.url}} iconsmall-{{postObject.tags.url}}"></span>
                    {{postObject.tags.name}}
                </a>
                <p class="center">
                    <a href="http://plus-one.kommersant.ru/case-1.html" ng-bind-html="textDangerousSnippet(postObject.citateText)" ng-if="postObject.url == 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'"></a>
                    <a href="/blog/{{postObject.tags.url}}/{{postObject.url}}" ng-bind-html="textDangerousSnippet(postObject.citateText)" ng-if="postObject.url != 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'"></a>
                </p>
            </div>
            <ul class="tags">
                <li>
                    <a class="date" href="#" onclick="return false">
                        {{postObject.postDateStr}}
                    </a>
                </li>

                <li ng-if="postObject.partner">
                    <a href="{{postObject.partner_url}}" target="_blank">
                        <div style="color: {{postObject.partner_color}}; font-size: 26px; top: 0px; left:0px; position: relative;">
                            &bull;
                            <span style="font-size: 11px; position: relative; top: -5px; left: 0; color: #000;">{{postObject.partner}}</span>
                        </div>
                    </a>
                </li>

                <li ng-repeat="posttag in postObject.postTags">
                    <a href="/tags/{{posttag.url}}">
                        {{posttag.name}}
                    </a>
                </li>
            </ul>
        </div>

        <!-- 1/2 с цветом /-->
        <div class="item half green" style="background-color: #{{postObject.block_color}}" ng-if="postObject.blocks == '1/2' && postObject.block_color != '0' && (postObject.type_post == 1 || postObject.type_post == 3)">
            <div class="visual right">
                <div>
                    <img src="files/blogposts/{{postObject.id}}-1_4.jpg" width="500" height="505" alt="image description" />
                </div>
            </div>
            <div class="info">
                <a href="/blog/{{postObject.tags.url}}" class="category-link white">
                    <span class="icon {{postObject.tags.url}} iconsmall-{{postObject.tags.url}}"></span>
                    {{postObject.tags.name}}
                </a>

                <a href="http://plus-one.kommersant.ru/case-1.html" ng-if="postObject.url == 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                    <strong class="h2" ng-bind-html="textDangerousSnippet(postObject.name)"></strong>
                    <p ng-bind-html="textDangerousSnippet(postObject.header)"></p>
                </a>
                <a href="/blog/{{postObject.tags.url}}/{{postObject.url}}" ng-if="postObject.url != 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                    <strong class="h2" ng-bind-html="textDangerousSnippet(postObject.name)"></strong>
                    <p ng-bind-html="textDangerousSnippet(postObject.header)"></p>
                </a>
            </div>
            <ul class="tags">
                <li>
                    <a class="date" href="#" onclick="return false">
                        {{postObject.postDateStr}}
                    </a>
                </li>

                <li ng-if="postObject.partner">
                    <a href="{{postObject.partner_url}}" target="_blank">
                        <div style="color: {{postObject.partner_color}}; font-size: 26px; top: 0px; left:0px; position: relative;">
                            &bull;
                            <span style="font-size: 11px; position: relative; top: -5px; left: 0; color: #000;">{{postObject.partner}}</span>
                        </div>
                    </a>
                </li>

                <li ng-repeat="posttag in postObject.postTags">
                    <a href="/tags/{{posttag.url}}">
                        {{posttag.name}}
                    </a>
                </li>
            </ul>
        </div>

        <!-- 1/3 -->
        <div class="item trio gray" ng-if="postObject.blocks == '1/3' && postObject.type_post == 1" vertilizes>
            <a href="/blog/{{postObject.tags.url}}" class="category-link white">
                <span class="icon {{postObject.tags.url}} iconsmall-{{postObject.tags.url}}"></span>
                {{postObject.tags.name}}
            </a>

            <div class="visual">
                <div class="bg">
                    <a href="/blog/{{postObject.tags.url}}/{{postObject.url}}">
                        <img src="files/blogposts/{{postObject.id}}-1_3.jpg" alt="image description"/>
                    </a>
                </div>
            </div>
            <div class="info">
                <a href="http://plus-one.kommersant.ru/case-1.html" ng-if="postObject.url == 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                    <strong class="h3" ng-bind-html="textDangerousSnippet(postObject.name)"></strong>
                    <p ng-bind-html="textDangerousSnippet(postObject.header)"></p>
                </a>
                <a href="/blog/{{postObject.tags.url}}/{{postObject.url}}" ng-if="postObject.url != 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                    <strong class="h3" ng-bind-html="textDangerousSnippet(postObject.name)"></strong>
                    <p class="d" ng-bind-html="textDangerousSnippet(postObject.header)"></p>
                </a>
            </div>

            <ul class="tags">
                <li>
                    <a class="date" href="#" onclick="return false">
                        {{postObject.postDateStr}}
                    </a>
                </li>

                <li ng-if="postObject.partner">
                    <a href="{{postObject.partner_url}}" target="_blank">
                        <div style="color: {{postObject.partner_color}}; font-size: 26px; top: 0px; left:0px; position: relative;">
                            &bull;
                            <span style="font-size: 11px; position: relative; top: -5px; left: 0; color: #000;">{{postObject.partner}}</span>
                        </div>
                    </a>
                </li>

                <li ng-repeat="posttag in postObject.postTags">
                    <a href="/tags/{{posttag.url}}">
                        {{posttag.name}}
                    </a>
                </li>
            </ul>
        </div>

        <!-- 1/3 цитата -->
        <div class="item trio blue no-image" ng-if="postObject.blocks == '1/3' && postObject.type_post == 2" style="background-color: #{{postObject.block_color}}">
            <a href="/blog/{{postObject.tags.url}}" class="category-link white">
                <span class="icon {{postObject.tags.url}} iconsmall-{{postObject.tags.url}}"></span>
                {{postObject.tags.name}}
            </a>

            <div class="info">
                <a href="http://plus-one.kommersant.ru/case-1.html" ng-if="postObject.url == 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                    <strong class="h3" ng-bind-html="textDangerousSnippet(postObject.name)"></strong>
                    <p ng-bind-html="textDangerousSnippet(postObject.header)"></p>
                </a>
                <a href="/blog/{{postObject.tags.url}}/{{postObject.url}}" ng-if="postObject.url != 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                    <strong class="h3" ng-bind-html="textDangerousSnippet(postObject.name)"></strong>
                    <p class="d" ng-bind-html="textDangerousSnippet(postObject.header)"></p>
                </a>
            </div>
            <ul class="tags">
                <li>
                    <a class="date" href="#" onclick="return false">
                        {{postObject.postDateStr}}
                    </a>
                </li>

                <li ng-if="postObject.partner">
                    <a href="{{postObject.partner_url}}" target="_blank">
                        <div style="color: {{postObject.partner_color}}; font-size: 26px; top: 0px; left:0px; position: relative;">
                            &bull;
                            <span style="font-size: 11px; position: relative; top: -5px; left: 0; color: #000;">{{postObject.partner}}</span>
                        </div>
                    </a>
                </li>

                <li ng-repeat="posttag in postObject.postTags">
                    <a href="/tags/{{posttag.url}}">
                        {{posttag.name}}
                    </a>
                </li>
            </ul>
        </div>


        <!-- 1/3 данные /-->
        <div class="item trio green analytics" style="background-color: #{{postObject.block_color}}" ng-if="postObject.blocks == '1/3' && postObject.type_post == 5">
            <a class="category-link" href="#" onclick="return false;">Аналитка</a>
            <div class="info">
                <strong class="digit">
                    {{postObject.amount_to_displaying}}
                </strong>
                <p>
                    <span class="mln">{{postObject.signature_to_sum}}</span>
                    <span ng-bind-html="textDangerousSnippet(postObject.text_body)"></span>
                </p>
                <div class="graph">
                    <span ng-repeat="analiticData in postObject.analitycData" style="height: {{analiticData.percent}}%;"><em>{{analiticData.years}}</em></span>
                </div>
            </div>
            <ul class="tags">
                <li>
                    <a class="date" href="#" onclick="return false">
                        {{postObject.postDateStr}}
                    </a>
                </li>

                <li ng-repeat="posttag in postObject.postTags">
                    <a href="/tags/{{posttag.url}}">
                        {{posttag.name}}
                    </a>
                </li>
            </ul>
        </div>


        <!-- 1/4 -->
        <div class="item half quarter" ng-if="postObject.blocks == '1/4'" >
            <div vertilizes>
                <a href="/blog/{{postObject.tags.url}}" class="category-link">
                    <span class="icon {{postObject.tags.url}} iconsmall-{{postObject.tags.url}}"></span>
                    {{postObject.tags.name}}
                </a>

                <a href="http://plus-one.kommersant.ru/case-1.html"
                   ng-if="postObject.url == 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                    <strong class="h3" ng-bind-html="textDangerousSnippet(postObject.name)"></strong>

                    <p ng-bind-html="textDangerousSnippet(postObject.header)"></p>
                </a>
                <a href="/blog/{{postObject.tags.url}}/{{postObject.url}}"
                   ng-if="postObject.url != 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                    <strong class="h3" ng-bind-html="textDangerousSnippet(postObject.name)"></strong>

                    <p class="d" ng-bind-html="textDangerousSnippet(postObject.header)"></p>
                </a>

                <ul class="tags">
                    <li>
                        <a href="#" class="date" onclick="return false">
                            {{postObject.postDateStr}}
                        </a>
                    </li>
                </ul>
            </div>
        </div>

        <!-- 2/4 /-->
        <div class="item half quarter_two" ng-if="postObject.blocks == '2/4'">
            <div vertilizes>
                <a href="/blog/{{postObject.tags.url}}" class="category-link">
                    <span class="icon {{postObject.tags.url}} iconsmall-{{postObject.tags.url}}"></span>
                    {{postObject.tags.name}}
                </a>

                <a href="http://plus-one.kommersant.ru/case-1.html"
                   ng-if="postObject.url == 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                    <strong class="h3" ng-bind-html="textDangerousSnippet(postObject.name)"></strong>

                    <p ng-bind-html="textDangerousSnippet(postObject.header)"></p>
                </a>
                <a href="/blog/{{postObject.tags.url}}/{{postObject.url}}"
                   ng-if="postObject.url != 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                    <strong class="h3" ng-bind-html="textDangerousSnippet(postObject.name)"></strong>

                    <p class="d" ng-bind-html="textDangerousSnippet(postObject.header)"></p>
                </a>

                <ul class="tags">
                    <li>
                        <a href="#" class="date" onclick="return false">
                            {{postObject.postDateStr}}
                        </a>
                    </li>
                </ul>
            </div>
        </div>

        <!-- 3/4 /-->
        <div class="item half quarter_trio" ng-if="postObject.blocks == '3/4'" >
            <div vertilizes>
                <a href="/blog/{{postObject.tags.url}}" class="category-link">
                    <span class="icon {{postObject.tags.url}} iconsmall-{{postObject.tags.url}}"></span>
                    {{postObject.tags.name}}
                </a>

                <a href="http://plus-one.kommersant.ru/case-1.html"
                   ng-if="postObject.url == 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                    <strong class="h3" ng-bind-html="textDangerousSnippet(postObject.name)"></strong>

                    <p ng-bind-html="textDangerousSnippet(postObject.header)"></p>
                </a>
                <a href="/blog/{{postObject.tags.url}}/{{postObject.url}}"
                   ng-if="postObject.url != 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                    <strong class="h3" ng-bind-html="textDangerousSnippet(postObject.name)"></strong>

                    <p class="d" ng-bind-html="textDangerousSnippet(postObject.header)"></p>
                </a>

                <ul class="tags">
                    <li>
                        <a href="#" class="date" onclick="return false">
                            {{postObject.postDateStr}}
                        </a>
                    </li>
                </ul>
            </div>
        </div>

        <!-- 4/4 /-->
        <div class="item half quarter_quarter" ng-if="postObject.blocks == '4/4'" >
            <div vertilizes>
                <div class="visual_4_4">
                    <a href="/blog/{{postObject.tags.url}}/{{postObject.url}}">
                        <img src="files/blogposts/{{postObject.id}}-1_3.jpg" alt="image description"/>
                    </a>
                </div>

                <div class="info_4_4">

                    <a href="/blog/{{postObject.tags.url}}" class="category-link white">
                        <span class="icon {{postObject.tags.url}} iconsmall-{{postObject.tags.url}}"></span>
                        <span style="color: #000;">{{postObject.tags.name}}</span>
                    </a>

                    <a href="http://plus-one.kommersant.ru/case-1.html"
                       ng-if="postObject.url == 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                        <strong class="h3" ng-bind-html="textDangerousSnippet(postObject.name)"></strong>

                        <p ng-bind-html="textDangerousSnippet(postObject.header)"></p>
                    </a>
                    <a href="/blog/{{postObject.tags.url}}/{{postObject.url}}"
                       ng-if="postObject.url != 'kak-ocenit-i-kompensirovat-ekologicheskiy-sled-meropriyatiya'">
                        <strong class="h3" ng-bind-html="textDangerousSnippet(postObject.name)"></strong>

                        <p class="d" ng-bind-html="textDangerousSnippet(postObject.header)"></p>
                    </a>

                    <ul class="tags">
                        <li>
                            <a href="#" class="date" onclick="return false">
                                {{postObject.postDateStr}}
                            </a>
                        </li>

                        <li ng-if="postObject.partner">
                            <a href="{{postObject.partner_url}}" target="_blank">
                                <div style="color: {{postObject.partner_color}}; font-size: 26px; top: 0px; left:0px; position: relative;">
                                    &bull;
                                    <span style="font-size: 11px; position: relative; top: -5px; left: 0; color: #000;">{{postObject.partner}}</span>
                                </div>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

    </div>
    <div ng-show='reddit.busy' style="width: 100%;">
        <div class="loader"></div>
    </div>
</div>